%{?nodejs_find_provides_and_requires}

%global packagename rollup-plugin-string
%global enable_tests 1

Name:		nodejs-rollup-plugin-string
Version:	2.0.2
Release:	1%{?dist}
Summary:	Converts text files to modules

License:	MIT
URL:		https://github.com/TrySound/rollup-plugin-string.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Source file
Source11:	https://raw.githubusercontent.com/TrySound/rollup-plugin-string/v%{version}/index.js
# Rollup config
Source12:	https://raw.githubusercontent.com/TrySound/rollup-plugin-string/v%{version}/rollup.config.js


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires:	npm(rollup)

BuildRequires:	nodejs-packaging
BuildRequires:	npm(rollup-plugin-buble)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Converts text files to modules


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE11} .
cp -p %{SOURCE12} .

%nodejs_fixdep rollup-pluginutils

rm -rf dist/

%build
%nodejs_symlink_deps --build
rollup -c
rm -rf node_modules/

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu May 31 2018 Jared K. Smith <jsmith@fedoraproject.org> - 2.0.2-1
- Initial packaging
